#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    string a,b,c,d[6],e;
    cin>>a>>b>>c;
    d[0]=a+b+c;
    d[1]=a+c+b;
    d[2]=b+a+c;
    d[3]=b+c+a;
    d[4]=c+a+b;
    d[5]=c+b+a;
    e=d[0];
    if(d[1]>e){
        e=d[1];
    }
    if(d[2]>e){
        e=d[2];
    }
    if(d[3]>e){
        e=d[3];
    }
    if(d[4]>e){
        e=d[4];
    }
    if(d[5]>e){
        e=d[5];
    }
    cout<<e;
    return 0;
}